org.apache.jmeter.testelement

## Interface TestStateListener

- All Known Implementing Classes:
    AbstractJDBCProcessor, AbstractJDBCTestElement, AccessLogSampler, AjpSampler, AuthManager, BackendListener, BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTestElement, BeanShellTimer, CacheManager, ConstantThroughputTimer, CookieManager, CriticalSectionController, DataSourceElement, HTTPSampler, HTTPSamplerBase, HTTPSamplerProxy, JavaSampler, JDBCPostProcessor, JDBCPreProcessor, JDBCSampler, JSR223Assertion, JSR223Listener, JSR223PostProcessor, JSR223PreProcessor, JSR223Sampler, JSR223TestElement, JSR223Timer, KeystoreConfig, LDAPExtSampler, MailerResultCollector, MainFrame, MongoSourceElement, PreciseThroughputTimer, PublisherSampler, RemoteListenerWrapper, RemoteSampleListenerImpl, RemoteTestListenerWrapper, ResultCollector, ResultSaver, StringFromFile, SubscriberSampler, Summariser, SyncTimer, TestPlan, ThroughputController

      public interface TestStateListener

  Since:
    2.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testEnded()` Called once for all threads after the end of a test.
    `void` | `testEnded(java.lang.String host)` Called once for all threads after the end of a test.
    `void` | `testStarted()` Called just before the start of the test from the main engine thread.
    `void` | `testStarted(java.lang.String host)` Called just before the start of the test from the main engine thread.

- - ### Method Detail

    - #### testStarted

          void testStarted()

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      See Also:
        `StandardJMeterEngine.run()`

    - #### testStarted

          void testStarted(java.lang.String host)

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.run()`

    - #### testEnded

          void testEnded()

      Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

      N.B. testStarted() and testEnded() are called from different threads.

      See Also:
        `StandardJMeterEngine.stopTest()`

    - #### testEnded

          void testEnded(java.lang.String host)

      Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

      N.B. testStarted() and testEnded() are called from different threads.

      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.stopTest()`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.